## icedtea-web 1.3.1

=== debian/changelog ===
icedtea-web (1.3.1-1+zlt1) experimental; urgency=low

  * Non-maintainer upload.
  * rebuild with OpenJDK 7

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Tue, 08 Jan 2013 15:01:43 +0400

icedtea-web (1.3.1-1) unstable; urgency=high

  * IcedTea-Web 1.3.1 release.
  * Security Updates
    - CVE-2012-4540: Heap-based buffer overflow after triggering event
      attached to applet.
  * Common
    - PR1161: X509VariableTrustManager does not work correctly with OpenJDK7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 12:39:11 +0100

icedtea-web (1.3-2) unstable; urgency=high

  * Configure with --disable-docs (the developer docs aren't shipped
    anyway). Works around the build failure on s390.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Sep 2012 23:03:51 +0200
