=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: extra
 Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 5), firefox-dev, openjdk-7-jdk, zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless
+Build-Depends: debhelper (>= 5), xulrunner-dev (>= 1.9.1.3-3) [!alpha !sparc64], openjdk-7-jdk (>= 7u3-2.1.3~), zip, lsb-release, libgtk2.0-dev, pkg-config
+#, default-jre-headless
 Standards-Version: 3.9.3
 Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
 Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/icedtea-web
@@ -38,7 +39,7 @@
 Package: icedtea-plugin
 Section: web
 Architecture: all
-Depends: icedtea-7-plugin, ${misc:Depends}
+Depends: icedtea-6-plugin, ${misc:Depends}
 Description: web browser plugin to execute Java applets (dependency package)
  IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
  LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
