=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,12 @@
     multiarch_dir =
   endif
 endif
-jre_versions = 6
+jre_versions = 7
 # for simplicity build the plugin for 7 for multiarch setup only,
 # anything else requires backports.
-ifneq (,$(DEB_HOST_MULTIARCH))
-  jre_versions += 7
-endif
+#ifneq (,$(DEB_HOST_MULTIARCH))
+#  jre_versions += 7
+#endif
 
 ifneq (,$(wildcard /usr/bin/dpkg-buildflags))
   buildflags := \
@@ -47,7 +47,7 @@
 archdir	  := $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
 			   $(filter $(DEB_HOST_ARCH)=%, $(archdir_map))))
 
-ifneq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise lenny etch squeeze wheezy sid))
+ifneq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise lenny etch squeeze))
   is7_default = no
   default_version = 6
 else
@@ -152,7 +152,8 @@
 
 CONFIGURE_ARGS = \
 	--prefix=/usr \
-	--with-pkgversion="$(PKGVERSION)"
+	--with-pkgversion="$(PKGVERSION)" \
+	--disable-docs
 
 ifneq ($(with_plugin_pkg),yes)
   CONFIGURE_ARGS += --disable-plugin
