## icedtea-web 1.3.2

=== debian/changelog ===
icedtea-web (1.3.2-1ubuntu0.12.10.3) quantal-security; urgency=medium

  * SECURITY UPDATE: info disclosure via insecure temporary directory use
    - debian/patches/CVE-2013-6493.patch: create safe directory in
      plugin/icedteanp/IcedTeaNPPlugin.cc, added helper functions to
      plugin/icedteanp/IcedTeaPluginUtils.*.
    - CVE-2013-6493
  * fix ftbfs with newer xulrunner:
    - debian/patches/xulrunner-27-ftbfs.patch
    - debian/control*: added dh-autoreconf to Build-Depends

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 04 Mar 2014 15:53:36 -0500

icedtea-web (1.3.2-1ubuntu0.12.10.2) quantal-security; urgency=low

  * debian/patches/work-with-icedtea-8004584.patch: work with OpenJDK build 25

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 01 Jul 2013 13:24:33 -0500

icedtea-web (1.3.2-1ubuntu0.12.10.1) quantal-security; urgency=low

  * Upload to quantal-security.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2013 01:17:42 +0200

icedtea-web (1.3.2-1ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Regenerate control file.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2013 00:55:56 +0200

icedtea-web (1.3.2-1) unstable; urgency=high

  * IcedTea-Web 1.3.2 release.
  * Security Updates:
    - CVE-2013-1927: fixed gifar vulnerability.
    - CVE-2013-1926: Class-loader incorrectly shared for applets with same
      relative-path.
  * Common:
    - Added new option in itw-settings which allows users to set JVM arguments
      when plugin is initialized.
  * NetX:
    - PR580: http://www.horaoficial.cl/ loads improperly.
  * Plugin:
    - PR1260: IcedTea-Web should not rely on GTK.
    - PR1157: Applets can hang browser after fatal exception.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2013 00:45:29 +0200

icedtea-web (1.3.1-3ubuntu1) raring; urgency=low

  * Regenerate control file.

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 07 Mar 2013 19:04:55 -0600

icedtea-web (1.3.1-3) unstable; urgency=low

  * Team upload.
  * Remove mips and mipsel from architectures.  (Closes: #701091)

 -- Niels Thykier <niels@thykier.net>  Thu, 21 Feb 2013 21:30:08 +0100

icedtea-web (1.3.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't forget to remove the itweb-settings alternative.  (Closes: #668444)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 02 Feb 2013 13:09:09 +0100

icedtea-web (1.3.1-2) unstable; urgency=low

  * Team upload.
  * Rebuild with Java7 as "default" to fix the Java7 variant of
    the Java plugin.  Thanks to Bálint Réczey for the report.
    (Closes: #693623)

 -- Niels Thykier <niels@thykier.net>  Thu, 20 Dec 2012 16:06:38 +0100
