=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,12 @@
     multiarch_dir =
   endif
 endif
-jre_versions = 7
+jre_versions = 6
 # for simplicity build the plugin for 7 for multiarch setup only,
 # anything else requires backports.
-#ifneq (,$(DEB_HOST_MULTIARCH))
-#  jre_versions += 7
-#endif
+ifneq (,$(DEB_HOST_MULTIARCH))
+  jre_versions += 7
+endif
 
 ifneq (,$(wildcard /usr/bin/dpkg-buildflags))
   buildflags := \
@@ -50,9 +50,15 @@
 ifneq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise lenny etch squeeze))
   is7_default = no
   default_version = 6
+  default_plugin_version = 6
 else
   is7_default = yes
   default_version = 7
+  ifneq (,$(filter $(distrel), wheezy sid))
+    default_plugin_version = 6
+  else
+    default_plugin_version = 7
+  endif
 endif
 
 TOP = usr/lib/jvm
@@ -114,11 +120,15 @@
 ifeq ($(is7_default),yes)
   bd_openjdk = openjdk-7-jdk,
   jdk_default_home = $(jdk7_home)
-  netx_depends = openjdk-6-jre (>= 6b23~pre10~) | openjdk-7-jre
 else
   bd_openjdk = openjdk-6-jdk (>= 6b23~pre10~),
   jdk_default_home = $(jdk_home)
+endif
+
+ifeq ($(default_plugin_version),7)
   netx_depends = openjdk-7-jre | openjdk-6-jre (>= 6b23~pre10~)
+else
+  netx_depends = openjdk-6-jre (>= 6b23~pre10~) | openjdk-7-jre
 endif
 
 ifneq (,$(DEB_HOST_MULTIARCH))
@@ -174,6 +184,7 @@
 		-e 's/@bd_plugin@/$(bd_plugin)/g' \
 		-e 's/@bd_openjdk@/$(bd_openjdk)/g' \
 		-e 's/@default_version@/$(default_version)/g' \
+		-e 's/@default_plugin_version@/$(default_plugin_version)/g' \
 	     debian/control.in \
 	     $(if $(DEB_HOST_MULTIARCH),debian/control.common) \
 	     $(if $(filter 6, $(jre_versions)),debian/control.6) \
@@ -228,14 +239,3 @@
 	rm -rf build
 	mkdir -p build
 	cd build \
-	  && $(buildflags) ../configure $(CONFIGURE_ARGS) --with-jdk-home=/$(jdk_default_home)
-	touch $@
-configure7-stamp:
-	dh_testdir
-	rm -rf build7
-	mkdir -p build7
-	cd build7 \
-	  && $(buildflags) ../configure $(CONFIGURE_ARGS) --with-jdk-home=/$(jdk_default_home)
-	touch $@
-
-build-arch: build-stamp
