## icedtea-web 1.4

=== debian/changelog ===
icedtea-web (1.4-3~deb7u3) wheezy-security; urgency=medium

  * Default to icedtea-7-plugin. Java6 is unsupported.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 05 Aug 2016 23:20:22 +0200

icedtea-web (1.4-3~deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2013-4349.diff patch.
    CVE-2013-4349: Fix IcedTeaScriptableJavaObject::invoke off-by-one
    heap-based buffer overflow after triggering event attached to applets.
    (Closes: #723118)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 02 Oct 2013 17:11:22 +0200

icedtea-web (1.4-3~deb7u1) stable-security; urgency=low

  * Build for stable

 -- Moritz Mühlenhoff <jmm@debian.org>  Sun, 07 Jul 2013 18:29:00 +0200

icedtea-web (1.4-3) unstable; urgency=low

  * Update from the 1.4 branch:
    - Fix PR1465, java.io.FileNotFoundException while trying to download
      a JAR file.
    - Fix PR1473, javaws should not depend on name of local file.
    - Fix PR854, resizing an applet several times causes 100% CPU load.
      Closes: #707729.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Jul 2013 11:01:08 +0200

icedtea-web (1.4-2) unstable; urgency=low

  * Fix icedtea-web for use with OpenJDK 7u25.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Jul 2013 17:34:23 +0200

icedtea-web (1.4-1) unstable; urgency=low

  * IcedTea-Web 1.4 release.
  * Stop building the icedtea6-plugin transitional package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 May 2013 18:26:47 +0200
