=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: icedtea-web
 Section: java
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
+Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 5), firefox-dev, openjdk-7-jdk, zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless, dh-autoreconf
+Build-Depends: debhelper (>= 5), xulrunner-dev (>= 1.9.1.3-3) [!alpha !sparc64], openjdk-7-jdk, zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless
 Standards-Version: 3.9.3
 Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
 Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/icedtea-web
@@ -24,17 +23,6 @@
  IcedTea's NetX currently supports verification of signed jars, trusted
  certificate storing, system certificate store checking, and provides
  the services specified by the jnlp API.
-
-Package: icedtea6-plugin
-Section: web
-Architecture: all
-Depends: icedtea-6-plugin, ${misc:Depends}
-Description: web browser plugin to execute Java applets (dependency package)
- IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
- LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
- browsers that support the NPAPI.
- .
- This is a dependency package, it can be safely removed after upgrade.
 
 Package: icedtea-plugin
 Section: web
@@ -91,3 +79,14 @@
  IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
  LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
  browsers that support the NPAPI.
+
+Package: icedtea6-plugin
+Section: web
+Architecture: all
+Depends: icedtea-6-plugin, ${misc:Depends}
+Description: web browser plugin to execute Java applets (dependency package)
+ IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
+ LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
+ browsers that support the NPAPI.
+ .
+ This is a dependency package, it can be safely removed after upgrade.
