=== debian/rules ===
--- 
+++ 
@@ -54,11 +54,16 @@
 else
   is7_default = yes
   default_version = 7
-  ifneq (,$(filter $(distrel), wheezy sid))
+  ifneq (,$(filter $(distrel), sid))
     default_plugin_version = 6
   else
     default_plugin_version = 7
   endif
+endif
+
+# dependency package for older releases
+ifeq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise quantal raring lenny etch squeeze wheezy))
+  nopkgs = -Nicedtea6-plugin
 endif
 
 TOP = usr/lib/jvm
@@ -189,6 +194,7 @@
 	     $(if $(DEB_HOST_MULTIARCH),debian/control.common) \
 	     $(if $(filter 6, $(jre_versions)),debian/control.6) \
 	     $(if $(filter 7, $(jre_versions)),debian/control.7) \
+	     $(if $(nopkgs),,debian/control.compat) \
 	     $(if $(DEB_HOST_MULTIARCH),,| grep -v '^Multi-Arch:') \
 		  > debian/control
 	@if cmp -s debian/control debian/control.old; then \
@@ -229,13 +235,3 @@
 	      -e 's,@browser_dirs@,$(browser_plugin_dirs),g' \
 	      -e 's,@last_npp_version@,$(last_npp_version),g' \
 	      -e 's,@java_launcher@,$(java_launcher),g' \
-	      -e 's,@java7_launcher@,$(java7_launcher),g' \
-	    $$f > $$f2; \
-	done
-
-configure: configure-stamp $(if $(filter 7,$(jre_versions)),configure7-stamp)
-configure-stamp:
-	dh_testdir
-	rm -rf build
-	mkdir -p build
-	cd build \
