=== debian/changelog ===
icedtea-web (1.5-1ubuntu1) trusty; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Apr 2014 18:00:19 +0200

icedtea-web (1.5-1) sid; urgency=medium

  * IcedTea-Web 1.5 release.
  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Apr 2014 17:38:58 +0200

icedtea-web (1.4.2-1) unstable; urgency=high

  * IcedTea-Web 1.4.2 release.
    - Security Updates- CVE-2012-4540: Heap-based buffer overflow after
      triggering event.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Feb 2014 21:11:35 +0100

icedtea-web (1.4.1-1ubuntu1) trusty; urgency=low

  * Merge with Debian; remaining changes:
    - Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2013 17:51:32 +0200

icedtea-web (1.4.1-1) unstable; urgency=low

  * IcedTea-Web 1.4.1 release.
  * Build for AArch64.
  * Don't build icedtea-6-plugin on KFreeBSD.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2013 17:20:43 +0200

icedtea-web (1.4-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add CVE-2013-4349.diff patch.
    CVE-2013-4349: Fix IcedTeaScriptableJavaObject::invoke off-by-one
    heap-based buffer overflow after triggering event attached to applets.
    (Closes: #723118)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 28 Sep 2013 10:00:03 +0200
